require 'spec_helper'

describe command("cp -v #{ENV['PWD']}/test.vcl /etc/vinyl-cache/test.vcl") do
  its(:exit_status) { should eq 0 }
end

describe command("vinyladm vcl.load test /etc/vinyl-cache/test.vcl") do
  its(:exit_status) { should eq 0 }
  its(:stderr) { should eq "" }
end

describe command("vinyladm vcl.use test") do
  its(:exit_status) { should eq 0 }
  its(:stdout) { should match(/VCL 'test' now active/) }
  its(:stderr) { should eq "" }
end
